Index: palm/trunk/SOURCE/surface_data_output_mod.f90
===================================================================
--- palm/trunk/SOURCE/surface_data_output_mod.f90	(revision 4670)
+++ palm/trunk/SOURCE/surface_data_output_mod.f90	(revision 4671)
@@ -2457,18 +2368,11 @@
 !--          Output of instantaneous data
              IF ( av == 0 )  THEN
-                CALL surface_data_output_collect( surf_def_h(0)%rad_sw_dif,                        &
-                                                  surf_def_h(1)%rad_sw_dif, surf_lsm_h%rad_sw_dif, &
-                                                  surf_usm_h%rad_sw_dif, surf_def_v(0)%rad_sw_dif, &
-                                                  surf_lsm_v(0)%rad_sw_dif,                        &
-                                                  surf_usm_v(0)%rad_sw_dif,                        &
-                                                  surf_def_v(1)%rad_sw_dif,                        &
-                                                  surf_lsm_v(1)%rad_sw_dif,                        &
-                                                  surf_usm_v(1)%rad_sw_dif,                        &
-                                                  surf_def_v(2)%rad_sw_dif,                        &
-                                                  surf_lsm_v(2)%rad_sw_dif,                        &
-                                                  surf_usm_v(2)%rad_sw_dif,                        &
-                                                  surf_def_v(3)%rad_sw_dif,                        &
-                                                  surf_lsm_v(3)%rad_sw_dif,                        &
-                                                  surf_usm_v(3)%rad_sw_dif )
+                CALL surface_data_output_collect(                                                 &
+                    surf_def_h(0)%rad_sw_dif, surf_lsm_h(0)%rad_sw_dif, surf_usm_h(0)%rad_sw_dif, &
+                    surf_def_h(1)%rad_sw_dif, surf_lsm_h(1)%rad_sw_dif, surf_usm_h(1)%rad_sw_dif, &
+                    surf_def_v(0)%rad_sw_dif, surf_lsm_v(0)%rad_sw_dif, surf_usm_v(0)%rad_sw_dif, &
+                    surf_def_v(1)%rad_sw_dif, surf_lsm_v(1)%rad_sw_dif, surf_usm_v(1)%rad_sw_dif, &
+                    surf_def_v(2)%rad_sw_dif, surf_lsm_v(2)%rad_sw_dif, surf_usm_v(2)%rad_sw_dif, &
+                    surf_def_v(3)%rad_sw_dif, surf_lsm_v(3)%rad_sw_dif, surf_usm_v(3)%rad_sw_dif )
              ELSE
 !
@@ -2483,18 +2387,11 @@
 !--          Output of instantaneous data
              IF ( av == 0 )  THEN
-                CALL surface_data_output_collect( surf_def_h(0)%rad_sw_ref,                        &
-                                                  surf_def_h(1)%rad_sw_ref, surf_lsm_h%rad_sw_ref, &
-                                                  surf_usm_h%rad_sw_ref, surf_def_v(0)%rad_sw_ref, &
-                                                  surf_lsm_v(0)%rad_sw_ref,                        &
-                                                  surf_usm_v(0)%rad_sw_ref,                        &
-                                                  surf_def_v(1)%rad_sw_ref,                        &
-                                                  surf_lsm_v(1)%rad_sw_ref,                        &
-                                                  surf_usm_v(1)%rad_sw_ref,                        &
-                                                  surf_def_v(2)%rad_sw_ref,                        &
-                                                  surf_lsm_v(2)%rad_sw_ref,                        &
-                                                  surf_usm_v(2)%rad_sw_ref,                        &
-                                                  surf_def_v(3)%rad_sw_ref,                        &
-                                                  surf_lsm_v(3)%rad_sw_ref,                        &
-                                                  surf_usm_v(3)%rad_sw_ref )
+                CALL surface_data_output_collect(                                                 &
+                    surf_def_h(0)%rad_sw_ref, surf_lsm_h(0)%rad_sw_ref, surf_usm_h(0)%rad_sw_ref, &
+                    surf_def_h(1)%rad_sw_ref, surf_lsm_h(1)%rad_sw_ref, surf_usm_h(1)%rad_sw_ref, &
+                    surf_def_v(0)%rad_sw_ref, surf_lsm_v(0)%rad_sw_ref, surf_usm_v(0)%rad_sw_ref, &
+                    surf_def_v(1)%rad_sw_ref, surf_lsm_v(1)%rad_sw_ref, surf_usm_v(1)%rad_sw_ref, &
+                    surf_def_v(2)%rad_sw_ref, surf_lsm_v(2)%rad_sw_ref, surf_usm_v(2)%rad_sw_ref, &
+                    surf_def_v(3)%rad_sw_ref, surf_lsm_v(3)%rad_sw_ref, surf_usm_v(3)%rad_sw_ref )
              ELSE
 !
@@ -2509,18 +2406,11 @@
 !--          Output of instantaneous data
              IF ( av == 0 )  THEN
-                CALL surface_data_output_collect( surf_def_h(0)%rad_sw_res,                        &
-                                                  surf_def_h(1)%rad_sw_res, surf_lsm_h%rad_sw_res, &
-                                                  surf_usm_h%rad_sw_res, surf_def_v(0)%rad_sw_res, &
-                                                  surf_lsm_v(0)%rad_sw_res,                        &
-                                                  surf_usm_v(0)%rad_sw_res,                        &
-                                                  surf_def_v(1)%rad_sw_res,                        &
-                                                  surf_lsm_v(1)%rad_sw_res,                        &
-                                                  surf_usm_v(1)%rad_sw_res,                        &
-                                                  surf_def_v(2)%rad_sw_res,                        &
-                                                  surf_lsm_v(2)%rad_sw_res,                        &
-                                                  surf_usm_v(2)%rad_sw_res,                        &
-                                                  surf_def_v(3)%rad_sw_res,                        &
-                                                  surf_lsm_v(3)%rad_sw_res,                        &
-                                                  surf_usm_v(3)%rad_sw_res )
+                CALL surface_data_output_collect(                                                 &
+                    surf_def_h(0)%rad_sw_res, surf_lsm_h(0)%rad_sw_res, surf_usm_h(0)%rad_sw_res, &
+                    surf_def_h(1)%rad_sw_res, surf_lsm_h(1)%rad_sw_res, surf_usm_h(1)%rad_sw_res, &
+                    surf_def_v(0)%rad_sw_res, surf_lsm_v(0)%rad_sw_res, surf_usm_v(0)%rad_sw_res, &
+                    surf_def_v(1)%rad_sw_res, surf_lsm_v(1)%rad_sw_res, surf_usm_v(1)%rad_sw_res, &
+                    surf_def_v(2)%rad_sw_res, surf_lsm_v(2)%rad_sw_res, surf_usm_v(2)%rad_sw_res, &
+                    surf_def_v(3)%rad_sw_res, surf_lsm_v(3)%rad_sw_res, surf_usm_v(3)%rad_sw_res )
              ELSE
 !
@@ -2535,18 +2425,11 @@
 !--          Output of instantaneous data
              IF ( av == 0 )  THEN
-                CALL surface_data_output_collect( surf_def_h(0)%rad_lw_dif,                        &
-                                                  surf_def_h(1)%rad_lw_dif, surf_lsm_h%rad_lw_dif, &
-                                                  surf_usm_h%rad_lw_dif, surf_def_v(0)%rad_lw_dif, &
-                                                  surf_lsm_v(0)%rad_lw_dif,                        &
-                                                  surf_usm_v(0)%rad_lw_dif,                        &
-                                                  surf_def_v(1)%rad_lw_dif,                        &
-                                                  surf_lsm_v(1)%rad_lw_dif,                        &
-                                                  surf_usm_v(1)%rad_lw_dif,                        &
-                                                  surf_def_v(2)%rad_lw_dif,                        &
-                                                  surf_lsm_v(2)%rad_lw_dif,                        &
-                                                  surf_usm_v(2)%rad_lw_dif,                        &
-                                                  surf_def_v(3)%rad_lw_dif,                        &
-                                                  surf_lsm_v(3)%rad_lw_dif,                        &
-                                                  surf_usm_v(3)%rad_lw_dif )
+                CALL surface_data_output_collect(                                                 &
+                    surf_def_h(0)%rad_lw_dif, surf_lsm_h(0)%rad_lw_dif, surf_usm_h(0)%rad_lw_dif, &
+                    surf_def_h(1)%rad_lw_dif, surf_lsm_h(1)%rad_lw_dif, surf_usm_h(1)%rad_lw_dif, &
+                    surf_def_v(0)%rad_lw_dif, surf_lsm_v(0)%rad_lw_dif, surf_usm_v(0)%rad_lw_dif, &
+                    surf_def_v(1)%rad_lw_dif, surf_lsm_v(1)%rad_lw_dif, surf_usm_v(1)%rad_lw_dif, &
+                    surf_def_v(2)%rad_lw_dif, surf_lsm_v(2)%rad_lw_dif, surf_usm_v(2)%rad_lw_dif, &
+                    surf_def_v(3)%rad_lw_dif, surf_lsm_v(3)%rad_lw_dif, surf_usm_v(3)%rad_lw_dif )
              ELSE
 !
@@ -2561,18 +2444,11 @@
 !--          Output of instantaneous data
              IF ( av == 0 )  THEN
-                CALL surface_data_output_collect( surf_def_h(0)%rad_lw_ref,                        &
-                                                  surf_def_h(1)%rad_lw_ref, surf_lsm_h%rad_lw_ref, &
-                                                  surf_usm_h%rad_lw_ref, surf_def_v(0)%rad_lw_ref, &
-                                                  surf_lsm_v(0)%rad_lw_ref,                        &
-                                                  surf_usm_v(0)%rad_lw_ref,                        &
-                                                  surf_def_v(1)%rad_lw_ref,                        &
-                                                  surf_lsm_v(1)%rad_lw_ref,                        &
-                                                  surf_usm_v(1)%rad_lw_ref,                        &
-                                                  surf_def_v(2)%rad_lw_ref,                        &
-                                                  surf_lsm_v(2)%rad_lw_ref,                        &
-                                                  surf_usm_v(2)%rad_lw_ref,                        &
-                                                  surf_def_v(3)%rad_lw_ref,                        &
-                                                  surf_lsm_v(3)%rad_lw_ref,                        &
-                                                  surf_usm_v(3)%rad_lw_ref )
+                CALL surface_data_output_collect(                                                 &
+                    surf_def_h(0)%rad_lw_ref, surf_lsm_h(0)%rad_lw_ref, surf_usm_h(0)%rad_lw_ref, &
+                    surf_def_h(1)%rad_lw_ref, surf_lsm_h(1)%rad_lw_ref, surf_usm_h(1)%rad_lw_ref, &
+                    surf_def_v(0)%rad_lw_ref, surf_lsm_v(0)%rad_lw_ref, surf_usm_v(0)%rad_lw_ref, &
+                    surf_def_v(1)%rad_lw_ref, surf_lsm_v(1)%rad_lw_ref, surf_usm_v(1)%rad_lw_ref, &
+                    surf_def_v(2)%rad_lw_ref, surf_lsm_v(2)%rad_lw_ref, surf_usm_v(2)%rad_lw_ref, &
+                    surf_def_v(3)%rad_lw_ref, surf_lsm_v(3)%rad_lw_ref, surf_usm_v(3)%rad_lw_ref )
              ELSE
 !
@@ -2587,18 +2463,11 @@
 !--          Output of instantaneous data
              IF ( av == 0 )  THEN
-                CALL surface_data_output_collect( surf_def_h(0)%rad_lw_res,                        &
-                                                  surf_def_h(1)%rad_lw_res, surf_lsm_h%rad_lw_res, &
-                                                  surf_usm_h%rad_lw_res, surf_def_v(0)%rad_lw_res, &
-                                                  surf_lsm_v(0)%rad_lw_res,                        &
-                                                  surf_usm_v(0)%rad_lw_res,                        &
-                                                  surf_def_v(1)%rad_lw_res,                        &
-                                                  surf_lsm_v(1)%rad_lw_res,                        &
-                                                  surf_usm_v(1)%rad_lw_res,                        &
-                                                  surf_def_v(2)%rad_lw_res,                        &
-                                                  surf_lsm_v(2)%rad_lw_res,                        &
-                                                  surf_usm_v(2)%rad_lw_res,                        &
-                                                  surf_def_v(3)%rad_lw_res,                        &
-                                                  surf_lsm_v(3)%rad_lw_res,                        &
-                                                  surf_usm_v(3)%rad_lw_res )
+                CALL surface_data_output_collect(                                                 &
+                    surf_def_h(0)%rad_lw_res, surf_lsm_h(0)%rad_lw_res, surf_usm_h(0)%rad_lw_res, &
+                    surf_def_h(1)%rad_lw_res, surf_lsm_h(1)%rad_lw_res, surf_usm_h(1)%rad_lw_res, &
+                    surf_def_v(0)%rad_lw_res, surf_lsm_v(0)%rad_lw_res, surf_usm_v(0)%rad_lw_res, &
+                    surf_def_v(1)%rad_lw_res, surf_lsm_v(1)%rad_lw_res, surf_usm_v(1)%rad_lw_res, &
+                    surf_def_v(2)%rad_lw_res, surf_lsm_v(2)%rad_lw_res, surf_usm_v(2)%rad_lw_res, &
+                    surf_def_v(3)%rad_lw_res, surf_lsm_v(3)%rad_lw_res, surf_usm_v(3)%rad_lw_res )
              ELSE
 !
@@ -2613,18 +2482,11 @@
 !--          Output of instantaneous data
              IF ( av == 0 )  THEN
-                CALL surface_data_output_collect( surf_def_h(0)%uvw_abs,                           &
-                                                  surf_def_h(1)%uvw_abs, surf_lsm_h%uvw_abs,       &
-                                                  surf_usm_h%uvw_abs, surf_def_v(0)%uvw_abs,       &
-                                                  surf_lsm_v(0)%uvw_abs,                           &
-                                                  surf_usm_v(0)%uvw_abs,                           &
-                                                  surf_def_v(1)%uvw_abs,                           &
-                                                  surf_lsm_v(1)%uvw_abs,                           &
-                                                  surf_usm_v(1)%uvw_abs,                           &
-                                                  surf_def_v(2)%uvw_abs,                           &
-                                                  surf_lsm_v(2)%uvw_abs,                           &
-                                                  surf_usm_v(2)%uvw_abs,                           &
-                                                  surf_def_v(3)%uvw_abs,                           &
-                                                  surf_lsm_v(3)%uvw_abs,                           &
-                                                  surf_usm_v(3)%uvw_abs )
+                CALL surface_data_output_collect(                                                 &
+                          surf_def_h(0)%uvw_abs, surf_lsm_h(0)%uvw_abs, surf_usm_h(0)%uvw_abs,    &
+                          surf_def_h(1)%uvw_abs, surf_lsm_h(1)%uvw_abs, surf_usm_h(1)%uvw_abs,    &
+                          surf_def_v(0)%uvw_abs, surf_lsm_v(0)%uvw_abs, surf_usm_v(0)%uvw_abs,    &
+                          surf_def_v(1)%uvw_abs, surf_lsm_v(1)%uvw_abs, surf_usm_v(1)%uvw_abs,    &
+                          surf_def_v(2)%uvw_abs, surf_lsm_v(2)%uvw_abs, surf_usm_v(2)%uvw_abs,    &
+                          surf_def_v(3)%uvw_abs, surf_lsm_v(3)%uvw_abs, surf_usm_v(3)%uvw_abs )
              ELSE
 !
@@ -2640,18 +2502,11 @@
 !--          Output of instantaneous data
              IF ( av == 0 )  THEN
-                CALL surface_data_output_collect( surf_def_h(0)%waste_heat,                        &
-                                                  surf_def_h(1)%waste_heat, surf_lsm_h%waste_heat, &
-                                                  surf_usm_h%waste_heat, surf_def_v(0)%waste_heat, &
-                                                  surf_lsm_v(0)%waste_heat,                        &
-                                                  surf_usm_v(0)%waste_heat,                        &
-                                                  surf_def_v(1)%waste_heat,                        &
-                                                  surf_lsm_v(1)%waste_heat,                        &
-                                                  surf_usm_v(1)%waste_heat,                        &
-                                                  surf_def_v(2)%waste_heat,                        &
-                                                  surf_lsm_v(2)%waste_heat,                        &
-                                                  surf_usm_v(2)%waste_heat,                        &
-                                                  surf_def_v(3)%waste_heat,                        &
-                                                  surf_lsm_v(3)%waste_heat,                        &
-                                                  surf_usm_v(3)%waste_heat )
+                CALL surface_data_output_collect(                                                 &
+                    surf_def_h(0)%waste_heat, surf_lsm_h(0)%waste_heat, surf_usm_h(0)%waste_heat, &
+                    surf_def_h(1)%waste_heat, surf_lsm_h(1)%waste_heat, surf_usm_h(1)%waste_heat, &
+                    surf_def_v(0)%waste_heat, surf_lsm_v(0)%waste_heat, surf_usm_v(0)%waste_heat, &
+                    surf_def_v(1)%waste_heat, surf_lsm_v(1)%waste_heat, surf_usm_v(1)%waste_heat, &
+                    surf_def_v(2)%waste_heat, surf_lsm_v(2)%waste_heat, surf_usm_v(2)%waste_heat, &
+                    surf_def_v(3)%waste_heat, surf_lsm_v(3)%waste_heat, surf_usm_v(3)%waste_heat )
              ELSE
 !
@@ -2667,12 +2522,11 @@
 !--          Output of instantaneous data
              IF ( av == 0 )  THEN
-                CALL surface_data_output_collect( surf_def_h(0)%iwghf_eb, surf_def_h(1)%iwghf_eb,  &
-                                                  surf_lsm_h%iwghf_eb, surf_usm_h%iwghf_eb,        &
-                                                  surf_def_v(0)%iwghf_eb, surf_lsm_v(0)%iwghf_eb,  &
-                                                  surf_usm_v(0)%iwghf_eb, surf_def_v(1)%iwghf_eb,  &
-                                                  surf_lsm_v(1)%iwghf_eb, surf_usm_v(1)%iwghf_eb,  &
-                                                  surf_def_v(2)%iwghf_eb, surf_lsm_v(2)%iwghf_eb,  &
-                                                  surf_usm_v(2)%iwghf_eb, surf_def_v(3)%iwghf_eb,  &
-                                                  surf_lsm_v(3)%iwghf_eb, surf_usm_v(3)%iwghf_eb )
+                CALL surface_data_output_collect(                                                 &
+                          surf_def_h(0)%iwghf_eb, surf_lsm_h(0)%iwghf_eb, surf_usm_h(0)%iwghf_eb, &
+                          surf_def_h(1)%iwghf_eb, surf_lsm_h(1)%iwghf_eb, surf_usm_h(1)%iwghf_eb, &
+                          surf_def_v(0)%iwghf_eb, surf_lsm_v(0)%iwghf_eb, surf_usm_v(0)%iwghf_eb, &
+                          surf_def_v(1)%iwghf_eb, surf_lsm_v(1)%iwghf_eb, surf_usm_v(1)%iwghf_eb, &
+                          surf_def_v(2)%iwghf_eb, surf_lsm_v(2)%iwghf_eb, surf_usm_v(2)%iwghf_eb, &
+                          surf_def_v(3)%iwghf_eb, surf_lsm_v(3)%iwghf_eb, surf_usm_v(3)%iwghf_eb )
              ELSE
 !
@@ -2688,12 +2542,11 @@
 !--          Output of instantaneous data
              IF ( av == 0 )  THEN
-                CALL surface_data_output_collect( surf_def_h(0)%albedo, surf_def_h(1)%albedo,      &
-                                                  surf_lsm_h%albedo, surf_usm_h%albedo,            &
-                                                  surf_def_v(0)%albedo, surf_lsm_v(0)%albedo,      &
-                                                  surf_usm_v(0)%albedo, surf_def_v(1)%albedo,      &
-                                                  surf_lsm_v(1)%albedo, surf_usm_v(1)%albedo,      &
-                                                  surf_def_v(2)%albedo, surf_lsm_v(2)%albedo,      &
-                                                  surf_usm_v(2)%albedo, surf_def_v(3)%albedo,      &
-                                                  surf_lsm_v(3)%albedo, surf_usm_v(3)%albedo )
+                CALL surface_data_output_collect(                                              &
+                          surf_def_h(0)%albedo, surf_lsm_h(0)%albedo, surf_usm_h(0)%albedo,    &
+                          surf_def_h(1)%albedo, surf_lsm_h(1)%albedo, surf_usm_h(1)%albedo,    &
+                          surf_def_v(0)%albedo, surf_lsm_v(0)%albedo, surf_usm_v(0)%albedo,    &
+                          surf_def_v(1)%albedo, surf_lsm_v(1)%albedo, surf_usm_v(1)%albedo,    &
+                          surf_def_v(2)%albedo, surf_lsm_v(2)%albedo, surf_usm_v(2)%albedo,    &
+                          surf_def_v(3)%albedo, surf_lsm_v(3)%albedo, surf_usm_v(3)%albedo )
              ELSE
 !
@@ -2709,18 +2562,11 @@
 !--          Output of instantaneous data
              IF ( av == 0 )  THEN
-                CALL surface_data_output_collect( surf_def_h(0)%emissivity,                        &
-                                                  surf_def_h(1)%emissivity, surf_lsm_h%emissivity, &
-                                                  surf_usm_h%emissivity, surf_def_v(0)%emissivity, &
-                                                  surf_lsm_v(0)%emissivity,                        &
-                                                  surf_usm_v(0)%emissivity,                        &
-                                                  surf_def_v(1)%emissivity,                        &
-                                                  surf_lsm_v(1)%emissivity,                        &
-                                                  surf_usm_v(1)%emissivity,                        &
-                                                  surf_def_v(2)%emissivity,                        &
-                                                  surf_lsm_v(2)%emissivity,                        &
-                                                  surf_usm_v(2)%emissivity,                        &
-                                                  surf_def_v(3)%emissivity,                        &
-                                                  surf_lsm_v(3)%emissivity,                        &
-                                                  surf_usm_v(3)%emissivity )
+                CALL surface_data_output_collect(                                                 &
+                    surf_def_h(0)%emissivity, surf_lsm_h(0)%emissivity, surf_usm_h(0)%emissivity, &
+                    surf_def_h(1)%emissivity, surf_lsm_h(1)%emissivity, surf_usm_h(1)%emissivity, &
+                    surf_def_v(0)%emissivity, surf_lsm_v(0)%emissivity, surf_usm_v(0)%emissivity, &
+                    surf_def_v(1)%emissivity, surf_lsm_v(1)%emissivity, surf_usm_v(1)%emissivity, &
+                    surf_def_v(2)%emissivity, surf_lsm_v(2)%emissivity, surf_usm_v(2)%emissivity, &
+                    surf_def_v(3)%emissivity, surf_lsm_v(3)%emissivity, surf_usm_v(3)%emissivity )
              ELSE
 !
